require 'test/unit'
require 'truncate'

class TruncateTest < Test::Unit::TestCase
  
  $string = "Call me Ishmael. Some years ago- never mind how long precisely- having little or no money in my purse, and nothing particular to interest me on shore, I thought I would sail about a little and see the watery part of the world."
  
  def test_truncate
    assert_equal "Call me Ishmael. Som...",
    $string.truncate
  end
  
  def test_truncate_length
    assert_equal "Call me Ishmael. Some years ago- never m...",
    $string.truncate(40)
  end
  
  def test_truncate_omis
    assert_equal "Call me Ishmael. Som,,,",
    $string.truncate(20, ",,,")
  end
  
  def test_words
    assert_equal "Call me Ishmael. Some years...",
    $string.words
  end
  
  def test_words_length
    assert_equal "Call me Ishmael. Some years ago- never...",
    $string.words(7)
  end
  
  def test_words_omis
    assert_equal "Call me Ishmael. Some years,,,",
    $string.words(5, ",,,")
  end
  
end